[P039]Strategic Indicators
Receive patent strategic valuation score by patent_id or patent_number. This includes original applicant count, current assignee count, current company assignee ratio, assignee market sales, assignee market competition, assignee market share, inventor count, transfer count, pledge count, and license count.
The API supports batch requests with a maximum of 100 patents, and more patent id or patent number are separated with English comma. Batch requests are deducted from traffic/costs, and will be deducted multiple times based on the number of successful results returned.
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
| string | c3efa1e6-a2c3-4502-b5e7-97fcf570cfd3 | patent_id |
| string | US5012236A | patent_number |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | array | - | response data |
pn | string | US11205304B2 | patent number |
patent_id | string | 718ead9c-4f3c-4674-8f5a-24e126827269 | patent id |
patsnap_strategic_value | object | Please check the form: StrategicValue | strategic indicators |
pledge_no | integer<int32> | 4 | Pledge count |
license_no | integer<int32> | 1 | License count |
inventor_no | integer<int32> | 5 | Inventor count |
transfer_no | integer<int32> | 2 | Transfer count |
market_share | number<double> | 2.05 | Assignee market share |
market_sales_usd | number<double> | 3874.66 | Assignee market sales |
market_competition | number<double> | 85849.5 | Assignee market competition |
current_assignee_no | number<double> | 1 | Current assignee count |
original_applicant_no | number<double> | 2 | Original applicant count |
current_company_assignee_ratio | number<double> | 1 | Current company assignee ratio |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
JSON
{
"data": [
{
"pn": "US11205304B2",
"patent_id": "718ead9c-4f3c-4674-8f5a-24e126827269",
"patsnap_strategic_value": {
"pledge_no": 4,
"license_no": 1,
"inventor_no": 5,
"transfer_no": 2,
"market_share": 2.05,
"market_sales_usd": 3874.66,
"market_competition": 85849.5,
"current_assignee_no": 1,
"original_applicant_no": 2,
"current_company_assignee_ratio": 1
}
}
],
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200001 | API call exceeds the total limit set by the platform! |
67200002 | Quota exceeds the limit! |
67200003 | Access token expired or authentication error! |
67200004 | No permission or API package quota has exceeded the limit! |
67200005 | Insufficient balance, call failed! |
67200006 | This client has expired and call failed! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |
Performance Metrics
Expected performance characteristics for this endpoint
Normal Response Time
5000 ms
Max Response Time
10000 ms